LOG(9) | Kernel Developer's Manual | LOG(9)

# NAME

`log` — log a message from the kernel through the /dev/klog device

# SYNOPSIS

`#include <sys/syslog.h>`

void
`log`(int level, const char *format, ...);

# DESCRIPTION

The `log`() function allows the kernel to send messages to user processes listening on /dev/klog. Usually syslogd(8) monitors /dev/klog for these messages and writes them to a log file.

All messages are logged using facility `LOG_KERN`. See syslog(3) for a listing of log levels.

# SEE ALSO

syslog(3), syslogd(8)

May 12, 1997 | NetBSD 11.0